<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
  xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
  <ui:composition template="/pages/primodaltemplate.xhtml">
    <ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.item.user', studyModel.element.name)}" />
		</ui:define>
		<ui:define name="body">
      <ship:priuserpanel actionAdd="#{studyController.doAddPrivilege}" actionEdit="#{studyController.doEditPrivilege}" actionDelete="#{studyController.doDeletePrivilege}"
        activeElement="#{studyModel.activePrivilege}" collapsed="false" list="#{studyModel.groupPrivileges}"
        allGroups="#{studyModel.allGroups}" allUsers="#{studyModel.allSquareUsers}"
        newGroup="#{studyModel.newGroup}" newUser="#{studyModel.newUsnr}" newAcl="#{studyModel.newAcl}" labelRead="label.accesslevel.0" labelWrite="label.accesslevel.1"
        labelExecute="label.accesslevel.2" facesContext="#{facesContext}" lang="#{lang.simpleLocaleCode}" rendered="#{studyModel.element.accessLevel.write}">
        <p:panelGrid columns="2">
          <h:outputText value="#{facesContext.translate('tooltip.vargroup.element')}" />
          <ui:repeat value="#{studyModel.parents}" var="b">
            <h:outputText value="#{b.name}" styleClass="breadcrumbpri" />
          </ui:repeat>
        </p:panelGrid>
      </ship:priuserpanel>
      <h:outputText value="forbidden - no privileges" rendered="#{!studyModel.element.accessLevel.write}" />
    </ui:define>
    <ui:define name="formbuttons">
      <p:commandButton id="btn_cancel" action="#{studyController.toWelcome(studyModel.element.parent)}" value="#{facesContext.translate('button.overview')}" ajax="false" immediate="true" />
    </ui:define>
		<ui:define name="help_de">
			TODO StS: Verwalten Sie hier die Rechte an dem aktuell ausgewählten Element der Studie. Die Rechte werden auf alle Kindelemente vererbt.
		</ui:define>
  </ui:composition>
</h:body>
</html>